> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gominerva.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Profile Details

> The **GET** method on a single profile resource will return the details for a single profile by its ID.



## OpenAPI

````yaml /api-reference/profiles.json get /profiles/{profileId}
openapi: 3.1.0
info:
  title: Profiles API
  version: 1.0.0
  description: >-
    Customer-facing API endpoints for managing screening profiles and updating
    potential match review workflows.
servers:
  - description: The production API server for Minerva AI for managing screening profiles
    url: https://api.gominerva.com/clm/v1
security: []
tags:
  - name: Profile Management
    description: Create, list, update, and comment on screening workflow profiles.
  - name: Potential Matches
    description: Update review workflow state for potential matches returned by searches.
externalDocs:
  description: ''
  url: ''
paths:
  /profiles/{profileId}:
    get:
      tags:
        - Profile Management
      summary: Get Profile Details
      description: >-
        The **GET** method on a single profile resource will return the details
        for a single profile by its ID.
      parameters:
        - description: Profile ID
          in: path
          name: profileId
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/clm.GetProfileResponse'
          description: Profile fetched successfully
      security:
        - ApiKeyAuth: []
components:
  schemas:
    clm.GetProfileResponse:
      properties:
        msg:
          example: OK
          type: string
        result:
          properties:
            profile:
              $ref: '#/components/schemas/clm.ProfileDetailsResponse'
          type: object
        status:
          example: 201
          type: integer
      type: object
    clm.ProfileDetailsResponse:
      properties:
        _v:
          example: 1
          type: integer
        address1:
          example: 1234 Fake St
          type: string
        address2:
          example: Apt 123
          type: string
        addressCity:
          example: Toronto
          type: string
        addressPostalCode:
          example: A1B2C3
          type: string
        addressState:
          example: 'ON'
          type: string
        allowlistUntil:
          example: 2024/08/15
          type: string
        archived:
          example: false
          type: boolean
        assignee:
          example: core-user-id
          type: string
        country:
          example: Canada
          type: string
        createdAt:
          example: '2024-08-19T18:40:57.656816645Z'
          type: string
        createdBy:
          example: core-user-id
          type: string
        dateOfBirth:
          example: YYYY/MM/DD
          type: string
        email:
          example: john.smith@email.com
          type: string
        externalId:
          example: external-customer-id
          type: string
        firstName:
          example: John
          type: string
        flags:
          items:
            $ref: '#/components/schemas/clm.FlagListItemResponse'
          type: array
          uniqueItems: false
        id:
          example: 66c391b92888a0db5cc6d3f6
          type: string
        kind:
          example: individual
          type: string
        lastName:
          example: Smith
          type: string
        lastScreenedTime:
          example: '2024-08-15T14:43:02.805Z'
          type: string
        monitored:
          example: monitored
          type: string
        nationality:
          example: Canada
          type: string
        occupation:
          example: Minerva
          type: string
        organization:
          example: Software Engineer
          type: string
        phone:
          example: '+15555555555'
          type: string
        sex:
          example: m
          type: string
        status:
          example: potential_match
          type: string
        tenantId:
          example: ef637217-5fbf-4117-88f0-a9f1246ffe7f
          type: string
        updatedAt:
          example: '2024-08-15T14:43:02.805Z'
          type: string
        profileGroupIds:
          description: >-
            Workspace-scoped profile group IDs assigned to this profile for
            dynamic risk segmentation. A profile can belong to multiple groups.
          type: array
          items:
            type: string
          example:
            - 665f0d4c2d2f7c2b2f2f2f31
            - 665f0d4c2d2f7c2b2f2f2f32
      type: object
    clm.FlagListItemResponse:
      properties:
        count:
          example: 2
          type: integer
        kind:
          example: screeningPepMatch
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        The Minerva API key used for this integration. Manage API keys in the
        Minerva dashboard under Administration > Developers.

````